Summary: Graphical tool for designing and simulating logic circuits
Name: logisim
Version: 2.7.1
Release: 1.mrc.mga2
License: GPL
Group: Sciences/Other
URL: http://ozark.hendrix.edu/~burch/logisim/
BuildArchitectures: noarch
Requires: jre >= 1.5.0
Source0: %{name}-generic-%{version}.jar
Source1: %{name}
Source2: %{name}-icon-128.png
Source3: %{name}.desktop
AutoReqProv: no

%description
 Graphical tool for designing and simulating logic circuits.
 Logisim is an educational tool for designing and simulating digital logic
 circuits. With its simple toolbar interface and simulation of circuits as
 you build them, it is simple enough to facilitate learning the most basic
 concepts related to logic circuits. With the capacity to build larger circuits
 from smaller subcircuits, and to draw bundles of wires with a single mouse
 drag, Logisim can be used (and is used) to design and simulate entire CPUs
 for educational purposes.

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -f %SOURCE0 %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
cp -f %SOURCE1 %{buildroot}%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -f %SOURCE2 %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_datadir}/applications
cp -f %SOURCE3 %{buildroot}/%{_datadir}/applications

%clean
rm -rf %{buildroot}

%files
%defattr(-,root, root)

%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}-icon-128.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Sep 13 2012 AlexL <loginov.alex.valer@gmail.com> 2.7.1-1
- first build for Mageia
